%define unmangled_name ofxhome

%define mangled_name python2-ofxhome
%define version 0.3.3
%define unmangled_version 0.3.3
%define unmangled_version 0.3.3
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: ofxhome.com financial institution lookup REST client
Name: %{mangled_name}
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: MIT License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: David Bartle <captindave@gmail.com>
Url: https://github.com/captin411/ofxhome

%description
ofxhome
=========

REST client for the web service provided by ofxhome.com

ofxhome.com provides a way to discover the Open Financial Exchange (OFX) URL's and financial institution IDs for banks and other financial institutions.

ofxhome is a sort of "DNS" for financial institution OFX URLs and IDs.

This client by itself is not all that useful unless you are coupling it with software that needs this lookup capability.

other modules
=============

ofxclient - a python API that downloads transactions from banks

example
=======

```python
from ofxhome import OFXHome

s = OFXHome.search("USAA")
" 's' contains a list that has entries like so:
" { name: 'USAA Federal Savings Bank', id: '483' }
" { name: 'USAA Investment Mgmt Co', id: '665' }
for item in s:
    print item['id'] _ item['name']
    bank = OFXHome.lookup(item.id)
    print bank.name _ bank.fid _ bank.url _ bank.brokerid # OR
    print bank['name'] _ bank['fid'] _ bank['url'] _ bank['brokerid']
```


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python2 setup.py build

%install
python2 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
